apiVersion: argoproj.io/v1alpha1
kind: CronWorkflow
metadata:
  name: company-dump-sanitizer-daily
  namespace: argo
spec:
  suspend: true
  schedule: "0 7 * * *"
  timezone: Europe/Moscow
  concurrencyPolicy: Forbid
  successfulJobsHistoryLimit: 3
  failedJobsHistoryLimit: 3
  workflowSpec:
    workflowTemplateRef:
      name: company-dump-sanitizer
    arguments:
      parameters:
        - name: company_ids
          value: "[330]"
        - name: bucket
          value: prod-pg-dumps
        - name: source_prefix
          value: ""
